Get OTC Options Trade History
Retrieves the API key owner’s booked OTC options trades for an inclusive date range. Deleted records and records that do not represent a client trade are excluded. Results are returned newest first.
Request start_date and end_date values use Unix epoch seconds.
Response order_date and expiry_date values use Unix epoch milliseconds.
API Key Permissions Required: Orders and trades - Query open orders & trades
Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Body
Request body for retrieving the API key owner's OTC options trades.
start_date and end_date are Unix epoch seconds. end_date must be greater than start_date.
Nonce used in construction of API-Sign header
Inclusive start of the trade window, Unix epoch seconds.
1785542400
Inclusive end of the trade window, Unix epoch seconds. Must be strictly after start_date.
1788220800
0-based index of the first result to return.
x >= 00
Maximum number of results to return. Defaults to 100 when omitted or set to 0. Values above 1000 are capped to 1000.
0 <= x <= 1000100
When true, return only unexpired opening trades that have not been closed.
false